Package com.macrofocus.properties.swing

# Class PropertyNumberSpinnerModel<V extends Number>

java.lang.Object
javax.swing.AbstractSpinnerModel
javax.swing.SpinnerNumberModel
com.macrofocus.properties.swing.PropertyNumberSpinnerModel<V>

All Implemented Interfaces:
  `Serializable`, `SpinnerModel`

public class PropertyNumberSpinnerModel<V extends Number> extends SpinnerNumberModel

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractSpinnerModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyNumberSpinnerModel(MutableProperty<V> property)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getNextValue()`
  `Object`
  `getPreviousValue()`
  `V`
  `getValue()`
  `void`
  `setValue(Object value)`

  ### Methods inherited from class javax.swing.SpinnerNumberModel

  `getMaximum, getMinimum, getNumber, getStepSize, setMaximum, setMinimum, setStepSize`

  ### Methods inherited from class javax.swing.AbstractSpinnerModel

  `addChangeListener, fireStateChanged, getChangeListeners, getListeners, removeChangeListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyNumberSpinnerModel

    public PropertyNumberSpinnerModel(MutableProperty<V> property)

- ## Method Details

  - ### getValue

    public V getValue()
    Specified by:
      `getValue` in interface `SpinnerModel`
    Overrides:
      `getValue` in class `SpinnerNumberModel`

  - ### setValue

    public void setValue(Object value)
    Specified by:
      `setValue` in interface `SpinnerModel`
    Overrides:
      `setValue` in class `SpinnerNumberModel`

  - ### getNextValue

    public Object getNextValue()
    Specified by:
      `getNextValue` in interface `SpinnerModel`
    Overrides:
      `getNextValue` in class `SpinnerNumberModel`

  - ### getPreviousValue

    public Object getPreviousValue()
    Specified by:
      `getPreviousValue` in interface `SpinnerModel`
    Overrides:
      `getPreviousValue` in class `SpinnerNumberModel`